<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
//header('Access-Control-Allow-Credentials: true');

require_once 'include/config.php';
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

$todaysDate = date('Y-m-d H:i:s');
$response = array();

//if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$name = htmlspecialchars($connection->real_escape_string($decoded->data->name));
	$email = htmlspecialchars($connection->real_escape_string($decoded->data->email));
	$phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));
	$password = htmlspecialchars($connection->real_escape_string($decoded->data->password));
	$city = htmlspecialchars($connection->real_escape_string($decoded->data->city));
	$address = htmlspecialchars($connection->real_escape_string($decoded->data->address));
	$pincode = htmlspecialchars($connection->real_escape_string($decoded->data->pincode));
	
	if (!empty($name) && !empty($email) && !empty($phone) && !empty($password)) {
		
		$fetch = $connection->query("SELECT * FROM users WHERE email = '$email' OR phone = '$phone'");
		if ($fetch->num_rows === 0) {
			
			//$isReferrer = $connection->query("SELECT * FROM users WHERE phone = '$referrer'");
			
			// if($isReferrer->num_rows === 1) {
				// $sql .= "UPDATE user_wallet SET balance = balance + 100 WHERE username = '$referrer' AND phone = '$referrer';";
				
				// $sql .= "INSERT INTO notifications (username,phone,title,content,notification_date,status) VALUES ('$referrer',
					// '$referrer','Referrer Income','Congratulations, you have earned 100 Rs as Referrer income','$todaysDate','A');";
				
				// $sql .= "INSERT INTO user_wallet (username, email, phone, balance) VALUES ('$phone','$email','$phone','100');";
				
				// $sql .= "INSERT INTO notifications (username,phone,title,content,notification_date,status) VALUES ('$phone',
					// '$phone','Referrer Income','Congratulations, you have earned 100 Rs for using Referral Code while signing up.',
					// '$todaysDate','A');";
			// } else {
				$sql .= "INSERT INTO user_wallet (username, email, phone, balance) VALUES ('$phone','$email','$phone','0');";
				
				$sql .= "INSERT INTO notifications (username,phone,title,content,notification_date,status) VALUES ('$phone',
					'$phone','Welcome $name','Hi $name, Your registration on Petcare has been completed successfully. You
					can now buy many different verity of products.', '$todaysDate','A');";
			//}
			
			$userDetails = $fetch->fetch_assoc();
			$sql .= "INSERT INTO users (username, name, email, phone, password, status, user_since,
				email_verified, phone_verified,city,address,pincode) VALUES ('$phone','$name','$email','$phone','$password','A','$todaysDate','0','0','$city','$address','$pincode');";
			
			$query = $connection->multi_query($sql);
			
			if ($query == true) {
				$response['status'] = 1;
				$response['msg'] = "Registered Successful";
				$response['userDetails']['status'] = 'A';
				$response['userDetails']['username'] = $phone;
				$response['userDetails']['name'] = $name;
				$response['userDetails']['email'] = $email;
				$response['userDetails']['phone'] = $phone;
				$response['userDetails']['city'] = $city;
				$response['userDetails']['address'] = $address;
				$response['userDetails']['pincode'] = $pincode;
			}
		} else {
			$response['status'] = 2;
			$response['msg'] = "No user found";
		}
		
	} else {
		$response['status'] = 0;
		$response['msg'] = "Empty Filed('s)";
	}
	
// } else {
	// $response = array(
		// 'status' => 99,
		// 'msg' => "unauthorised request",
	// );
// }
echo json_encode($response);